function::get_loadavg_index
Prev | Chapter 16. Kernel Process Tapset | Next

## Name

function::get_loadavg_index — Get the load average for a specified interval

## Synopsis

        get_loadavg_index:long(indx:long)

## Arguments

`indx`

  The load average interval to capture.

## Description

This function returns the load average at a specified interval. The three load average values 1, 5 and 15 minute average corresponds to indexes 0, 1 and 2 of the avenrun array - see linux/sched.h. Please note that the truncated-integer portion of the load average is returned. If the specified index is out-of-bounds, then an error message and exception is thrown.

Prev | Up | Next
Chapter 16. Kernel Process Tapset | Home | function::sprint_loadavg